Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031947
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] E. Translationmajoralways2016-01-19 14:182016-01-20 09:27
ReportervmromanosView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q4.2
StatusclosedFix in branchFixed in SCM revision47332a87a797
ProjectionnoneETAnoneTarget Version3.0PR15Q4.2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2014-11-27
Regression introduced in release3.0PR15Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/ac68a43ce6569746a77f67d78906d7addbac841b [^]
Triggers an Emergency PackNo
Summary

0031947: Labels in AD_TextInterfaces linked to a concrete file are not translated

DescriptionThe labels in AD_TextInterfaces linked to a concrete file, i.e. which are used only in just one file, are not properly translated.

However, the labels that are not linked to a concrete file (AD_TextInterfaces.filename is null because they are used in more than one report) are properly translated
Steps To ReproduceInstall the Spanish Translation Pack in a recent PI (3.0PR15Q2 or higher)

Login as Openbravo Admin and select Spanish Language

Access "Diario asientos" report. Set date from 01-01-2015 to 31-12-2015 and run report in PDF (printer icon)

Realize that title appears as "Journal Entries Report" instead of Spanish translation available in the AD_TextInterfaces ("Libro diario")
Proposed SolutionReportingUtils.java, method generateJasperPrint():
 String strBaseDesign = DalContextListener.getServletContext().getRealPath("")

Value of strBaseDesign is wrong and it should finish with "/src-loc/design"
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0031944 closedcaristu Labels in AD_TextInterfaces linked to a concrete file are not translated 

-  Notes
(0083415)
hgbot (developer)
2016-01-19 17:52

Repository: erp/backports/3.0PR15Q4.2
Changeset: 47332a87a79795c8fa74d67693aacae2c521d86c
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Jan 19 17:51:29 2016 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR15Q4.2/rev/47332a87a79795c8fa74d67693aacae2c521d86c [^]

fixes issue 31947: Labels linked to a concrete file are not translated

The translation engine requires the base design path to retrieve the ad_textinterfaces linked to a particular report. This path was not being sent properly in ReportinUtils class. Now the path is generated correctly making use of a new method called getBaseDesignPath.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/report/ReportingUtils.java
---
(0083435)
alostale (developer)
2016-01-20 09:27

code reviewed + tested

- Issue History
Date Modified Username Field Change
2016-01-19 14:57 alostale Type defect => backport
2016-01-19 14:57 alostale Target Version => 3.0PR15Q4.2
2016-01-19 17:42 caristu Relationship added has duplicate 0031954
2016-01-19 17:50 caristu Relationship deleted has duplicate 0031954
2016-01-19 17:52 hgbot Checkin
2016-01-19 17:52 hgbot Note Added: 0083415
2016-01-19 17:52 hgbot Status scheduled => resolved
2016-01-19 17:52 hgbot Resolution open => fixed
2016-01-19 17:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q4.2/rev/47332a87a79795c8fa74d67693aacae2c521d86c [^]
2016-01-19 17:52 caristu Review Assigned To => alostale
2016-01-19 17:52 caristu Issue Monitored: alostale
2016-01-19 18:27 caristu Regression introduced by commit https://code.openbravo.com/erp/devel/main/rev/56f321248289#l10.113 [^] => https://code.openbravo.com/erp/devel/pi/rev/ac68a43ce6569746a77f67d78906d7addbac841b [^]
2016-01-20 09:27 alostale Note Added: 0083435
2016-01-20 09:27 alostale Status resolved => closed
2016-01-20 09:27 alostale Fixed in Version => 3.0PR15Q4.2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker